Bug 918709 - [RFE] Add SASL mappings fallback
Summary: [RFE] Add SASL mappings fallback
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 18:16 UTC by Nathan Kinder
Modified: 2020-09-13 20:21 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.1.2-1.el7
Doc Type: Enhancement
Doc Text:
Cause: Lack of being able to check multiple matching SASL mappings if one mapping should fail. Consequence: Rigid use of SASL authentication. Change: Added SAL mapping fallback/failover capability. As well as an optional priority/precedence for each mappings. Result: SASL authentication is more robust. What now happens when the actions or circumstances above occur. Note: this is not the same as the feature request was fulfilled.
Clone Of:
Environment:
Last Closed: 2014-06-13 13:20:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 534 0 None None None 2020-09-13 20:21:08 UTC

Description Nathan Kinder 2013-03-06 18:16:01 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/534

Currently once a SASL mapping regex matches, the server attempts to find an entry in the directory as configure within the matched rule.
If no entry is found then the mapping fails.

It would be useful if a missing mapping would cause DS to try the next matching SASL mapping.

This enhancement would allow FreeIPA to fix https://fedorahosted.org/freeipa/ticket/3291

Comment 1 Rich Megginson 2013-10-01 23:25:10 UTC
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.

Comment 3 Ján Rusnačko 2013-11-11 16:00:40 UTC
[root@localhost jrusnack]# ldapsearch -LLL -D "cn=directory manager" -w Secret123 -b "cn=config" -s base nsslapd-sasl-mapping-fallback
dn: cn=config
nsslapd-sasl-mapping-fallback: off

[root@localhost jrusnack]# ldapmodify -D "cn=directory manager" -w Secret123 <<EOF
> dn: cn=config
> changetype: modify
> replace: nsslapd-sasl-mapping-fallback
> nsslapd-sasl-mapping-fallback: on
> EOF
modifying entry "cn=config"

[root@localhost jrusnack]# ldapsearch -LLL -D "cn=directory manager" -w Secret123 -b " cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config "
dn: cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config
objectClass: top
objectClass: nsSaslMapping
cn: Kerberos uid mapping
nsSaslMapRegexString: \(.*\)@\(.*\)\.\(.*\)
nsSaslMapBaseDNTemplate: dc=\2,dc=\3
nsSaslMapFilterTemplate: (uid=\1)

[root@localhost jrusnack]# ldapmodify -D "cn=directory manager" -w Secret123 <<EOF
dn: cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config
> changetype: modify
> add: nsSaslMapPriority
> nsSaslMapPriority: 1
> EOF
modifying entry "cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config"

[root@localhost jrusnack]# ldapsearch -LLL -D "cn=directory manager" -w Secret123 -b " cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config "
dn: cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config
objectClass: top
objectClass: nsSaslMapping
cn: Kerberos uid mapping
nsSaslMapRegexString: \(.*\)@\(.*\)\.\(.*\)
nsSaslMapBaseDNTemplate: dc=\2,dc=\3
nsSaslMapFilterTemplate: (uid=\1)
nsSaslMapPriority: 1

Feature is implemented in latest RHEL7 389, testing is yet to be done - bugs in this feature will be filed separately.

Comment 5 Ludek Smid 2014-06-13 13:20:07 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.